WG13 Issues - CIM Issues #7070
Special characters in the UnitSymbol

11/29/2024 10:15 AM - Svein Olsen

Status: Closed

Priority: Normal

Target version:

Author/Contact Info:  Svein Olsen Standard(s): 61970-301
Base Release: CIM18 Version:

Solution to be CIiM18v14 Clause:

Applied To:

Solution Version: CIM18v14 Sub-Clause:

Solution Applied By: Chavdar Ivanov Paragraph:

Completion Date: 12/05/2024 Table:

CIM Keywords:

61970-Domain

Originally Closed in

Version:
Breaking Change: No Origination Date:
Breaking Change Origination ID:
Description:
CIM Impacted WG13 Originally Assigned
Groups: To:
Requestor:
Description

We have not removed spesial characters in the UnitSymbol name. However, that are still spesial characters in the description. This
needs spesial handling in tools that generate automatic from the export. We should consider replacing the character with plain ASCII.
The following characters are used: {('¢', 'LATIN SMALL LETTER E WITH ACUTE'), ('¢', 'LATIN SMALL LETTER O WITH ACUTE"),
("°', 'DEGREE SIGN"), ('p', 'LATIN CAPITAL LETTER THORN'), (", 'RIGHT DOUBLE QUOTATION MARK), (*, 'LEFT DOUBLE
QUOTATION MARK", (-, 'MIDDLE DOT"), ("', 'SUPERSCRIPT THREE'), ("', 'RIGHT SINGLE QUOTATION MARK), ('i', 'LATIN
SMALL LETTER I WITH ACUTE"), ('?', 'SUPERSCRIPT TWQ"), (‘&@', 'LATIN SMALL LETTER A WITH TILDE")}

Some of the UnitSymbole, UnitSymbole.J "Energy in joules (N-m = C-V = W:s)."

Proposed Solution

Update the spesial signe with plain ASCII as follow:
Character Unicode Description Replaced with

* U+2019 RIGHT SINGLE QUOTATION MARK '

2 U+00B2 SUPERSCRIPT TWO #*2

é U+00E9 LATIN SMALL LETTER E WITH ACUTE e
a U+00E3 LATIN SMALL LETTER AWITH TILDE a
“ U+201C LEFT DOUBLE QUOTATION MARK "

i U+00ED LATIN SMALL LETTER | WITH ACUTE i

3 U+00B3 SUPERSCRIPT THREE "3

° U+00B0 DEGREE SIGN deg

P U+00DE LATIN CAPITAL LETTER THORN Th

- U+00B7 MIDDLE DOT *

U+201D RIGHT DOUBLE QUOTATION MARK "
U+00F3 LATIN SMALL LETTER O WITH ACUTE o

O
Character | Unicode | Description Replaced with
’ U+2019 RIGHT SINGLE QUOTATION MARK '
2 U+00B2 SUPERSCRIPT TWO N2
U+00ES LATIN SMALL LETTER E WITH ACUTE e
a U+00E3 LATIN SMALL LETTER A WITH TILDE
“ U+201C LEFT DOUBLE QUOTATION MARK "
i U+00ED LATIN SMALL LETTER | WITH ACUTE i
3 U+00B3 SUPERSCRIPT THREE A3
° U+00BO DEGREE SIGN deg
P U+00DE LATIN CAPITAL LETTER THORN Th
U+00B7 MIDDLE DOT *
" U+201D RIGHT DOUBLE QUOTATION MARK "
o) U+00F3 LATIN SMALL LETTER O WITH ACUTE 0
Decision
Based on the TF13 discussion on 4 Dec 2024, Proposed solution was applied for Grid package
Release Notes
Special characters were fixed in the Base package
History
#1 - 12/05/2024 03:38 AM - Svein Olsen
- File clipboard-202412051038-a4dof.png added
- Subject changed from Spesial characters in the UnitSymbol to Special characters in the UnitSymbol
- Proposed Solution updated
#2 - 12/05/2024 02:41 PM - Chavdar Ivanov
- Status changed from New to Open
- Solution to be Applied To set to CIM18v14
- Solution Version set to CIM18v14
- Solution Applied By set to Chavdar Ilvanov
- Completion Date set to 12/05/2024
- Breaking Change set to No
- Decision updated
#3 - 12/05/2024 02:43 PM - Chavdar Ivanov
- Status changed from Open to In Progress
#4 - 12/05/2024 02:54 PM - Chavdar Ivanov
- Status changed from In Progress to Closed
- Release Notes updated
Files
clipboard-202412051038-a4dof.png 62.1 KB 12/05/2024 Svein Olsen
